Page 25 of 29

Re: OpenMW Nightly builds

Posted: 13 Feb 2017, 08:55
by raevol
This is that thing again where you are putting deps in the normal PPA but not in the daily, so people have to use both.

Edit: Now I am crashing with a fatal error similar to: viewtopic.php?f=2&t=4127

Re: OpenMW Nightly builds

Posted: 13 Feb 2017, 09:06
by psi29a
Looks like the trusty build hasn't built since the 11th.
The following packages have unmet dependencies:
libopenscenegraph-3.4-dev : Depends: libopenthreads-dev but it is not going to be installed
I wish I could tell it to rebuild...

ah yes, 16.04 and 16.10 try to pull in bullet 2.85 but we require 2.86... I'll get these built asap.

grmbl...

Re: OpenMW Nightly builds

Posted: 13 Feb 2017, 09:06
by raevol
Adding the non-daily PPA fixed it for me. Fixed the apt problem, the crash persists. But it's progress! :)

Re: OpenMW Nightly builds

Posted: 13 Feb 2017, 09:10
by psi29a
yeah, it was built against bullet 2.85. I'll get the new bullet 2.86 up for the other distro versions and next rebuild cycle should fix it.

Re: OpenMW Nightly builds

Posted: 13 Feb 2017, 09:13
by raevol
Sounds good. Thanks for looking into all of it, I can't imagine managing all that is fun.

Re: OpenMW Nightly builds

Posted: 13 Feb 2017, 09:24
by psi29a
The problem was that the daily ppa still had the old libs, I deleted them and copied over the new libs. You can remove the ppa:openmw/openmw and pull directly from ppa:openmw/openmw-daily

This should resolve itself next build cycle.

Re: OpenMW Nightly builds

Posted: 13 Feb 2017, 09:26
by raevol
Got it. Ok, thanks!

Re: OpenMW Nightly builds

Posted: 21 Feb 2017, 12:37
by TechNoirMK
>332ceb5
>11 days ago
windows ded?

Re: OpenMW Nightly builds

Posted: 21 Feb 2017, 12:41
by MiroslavXO
I can't even install latest win build.

Re: OpenMW Nightly builds

Posted: 21 Feb 2017, 12:51
by Capostrophic
MiroslavXO wrote:I can't even install latest win build.
Something on your side, installs fine on mine. Anyway.

ace plz